<?php
/*
 * Copyright (c) 2017-2024 Aimy Extensions, Netzum Sorglos Software GmbH
 * Copyright (c) 2014-2017 Aimy Extensions, Lingua-Systems Software GmbH
 *
 * https://www.aimy-extensions.com/
 *
 * License: GNU GPLv2, see LICENSE.txt within distribution and/or
 *          https://www.aimy-extensions.com/software-license.html
 */
 defined( '_JEXEC' ) or die(); require_once( JPATH_COMPONENT . '/helpers/config.php' ); require_once( JPATH_COMPONENT . '/helpers/rights.php' ); require_once( JPATH_COMPONENT . '/helpers/message.php' ); use Joomla\CMS\Filesystem\File; use Joomla\CMS\Factory; use Joomla\CMS\Router\Route; use Joomla\CMS\MVC\Controller\AdminController; use Joomla\CMS\Session\Session; use Joomla\CMS\Language\Text; use Joomla\CMS\Uri\Uri; class AimySitemapControllerRobotsTxt extends AdminController { public function save() { Session::checkToken() or jexit( Text::_( 'INVALID TOKEN' ) ); $app = Factory::getApplication(); self::write_file( $app->input->getString( 'robotstxt', '' ) ); $this->setRedirect( Route::_( 'index.php?option=com_aimysitemap&view=robotstxt', false ) ); } public function add_sitemap_field() { Session::checkToken() or jexit( Text::_( 'INVALID TOKEN' ) ); $msg = new AimySitemapMessageHelper(); $app = Factory::getApplication(); $txt = $app->input->getString( 'robotstxt', null ); if ( is_null( $txt ) ) { $msg->error( 'Internal error' ); } else { $cfg = new AimySitemapConfigHelper(); $path = trim( $cfg->get( 'xml_path', 'sitemap.xml' ), " \r\n/" ); if ( $cfg->get( 'xml_gz_enable', false ) ) { $path .= '.gz'; } if ( ! file_exists( JPATH_ROOT . '/' . $path ) ) { $msg->error( Text::_( 'AIMY_SM_WARN_XML_SITEMAP_MISSING' ) . ' &rarr; ' . sprintf( '<a href="%s">%s &amp; %s</a>', Route::_( 'index.php?option=com_aimysitemap&view=urls' ), Text::_( 'AIMY_SM_LINK_MANAGE' ), Text::_( 'AIMY_SM_WRITE_LBL' ) ) ); } else { $url = Uri::root() . $path; $field = 'Sitemap: ' . $url; if ( preg_match( '#^\Q' . $field . '\E\s*$#mi', $txt ) ) { $msg->notice( Text::_( 'AIMY_SM_ROBOTSTXT_SITEMAP_FIELD_ALREADY_PRESENT' ) ); } else { $msg->message( Text::_( 'AIMY_SM_ROBOTSTXT_SITEMAP_FIELD_ADDED' ) ); self::write_file( trim( $txt ) . "\n\n" . $field . "\n" ); } } } $this->setRedirect( Route::_( 'index.php?option=com_aimysitemap&view=robotstxt', false ) ); } static private function write_file( $txt ) { $rights = AimySitemapRightsHelper::getRights(); if ( ! $rights->get( 'aimysitemap.write' ) ) { jexit( Text::_( 'JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN' ) ); } $msg = new AimySitemapMessageHelper(); $path = JPATH_ROOT . DIRECTORY_SEPARATOR . 'robots.txt'; if ( File::write( $path, $txt ) === false ) { $msg->error( Text::_( 'AIMY_SM_ROBOTSTXT_FAILED_TO_WRITE' ) ); } else { $msg->message( Text::_( 'AIMY_SM_ROBOTSTXT_WRITTEN' ) ); } } } 
