<?php
/*
 * Copyright (c) 2017-2024 Aimy Extensions, Netzum Sorglos Software GmbH
 * Copyright (c) 2014-2017 Aimy Extensions, Lingua-Systems Software GmbH
 *
 * https://www.aimy-extensions.com/
 *
 * License: GNU GPLv2, see LICENSE.txt within distribution and/or
 *          https://www.aimy-extensions.com/software-license.html
 */
 defined( '_JEXEC' ) or die(); require_once( JPATH_COMPONENT . '/helpers/rights.php' ); require_once( JPATH_COMPONENT . '/helpers/message.php' ); require_once( JPATH_COMPONENT . '/Crawler.php' ); use Joomla\CMS\MVC\View\HtmlView; use Joomla\CMS\Factory; use Joomla\CMS\Language\Text; use Joomla\CMS\Router\Route; use Joomla\CMS\Uri\Uri; use Joomla\CMS\Toolbar\ToolbarHelper; class AimySitemapViewCrawl extends HtmlView { protected $allow_crawl = false; protected $allow_config = false; protected $resumable = false; public function display( $tpl = null ) { $errors = $this->get( 'Errors' ); if ( is_array( $errors ) && count( $errors ) ) { throw new Exception( implode( "\n", $errors ), 500 ); return false; } $app = Factory::getApplication(); $ccfg = new AimySitemapConfigHelper(); if ( $app->isSSLConnection() ) { $tls = stream_get_transports(); if ( ! in_array( 'ssl', $tls ) ) { $msg = new AimySitemapMessageHelper(); $msg->notice( Text::_( 'AIMY_SM_CRAWL_HINT_SSL_NOT_SUPPORTED' ) ); } } if ( $app->get( 'offline', false ) ) { $msg = new AimySitemapMessageHelper(); $msg->error( Text::_( 'AIMY_SM_ERR_SITE_OFFLINE' ) ); $this->addToolbar(); return false; } if ( defined( 'JDEBUG' ) && JDEBUG ) { $msg = new AimySitemapMessageHelper(); $msg->notice( Text::sprintf( 'AIMY_SM_MSG_CRAWL_DEBUG_ENABLED', AimySitemapLogger::get_path() ) ); } $rights = AimySitemapRightsHelper::getRights(); $this->allow_crawl = $rights->get( 'aimysitemap.crawl' ); $this->allow_config = $rights->get( 'core.admin' ); $this->addToolbar(); if ( $this->allow_crawl ) { $jdoc = Factory::getDocument(); $jdoc->addScript( Uri::root( true ) . '/media/com_aimysitemap/crawl.js' . '?r=35.0' ); $this->resumable = AimySitemapCrawler::previous_crawl_aborted(); } else { $msg = new AimySitemapMessageHelper(); $msg->error( Text::_( 'JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN' ) ); } parent::display( $tpl ); } protected function addToolbar() { ToolBarHelper::title( Text::_( 'AIMY_SM_CRAWL' ), '' ); if ( $this->allow_crawl ) { ToolBarHelper::custom( 'crawl.crawl', 'tree-2', Text::_( 'AIMY_SM_CRAWL_START_DSC' ), Text::_( 'AIMY_SM_CRAWL_START_LBL' ), false ); ToolBarHelper::custom( 'crawl.abort', 'unpublish', Text::_( 'AIMY_SM_CRAWL_ABORT_DSC' ), Text::_( 'AIMY_SM_CRAWL_ABORT_LBL' ), false ); } if ( $this->allow_config ) { ToolBarHelper::preferences( 'com_aimysitemap' ); } } } 
